{% extends 'base.html' %}

{% block content %}
  <h1>My Projects</h1>
  {% if projects %}
    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Number of tasks</th>
        </tr>
      </thead>
      <tbody>
        {% for project in projects %}
          <tr>
            <td><a href="{% url 'project_detail' project.pk %}">{{ project.name }}</a></td>
            <td>{{ project.tasks.all|length }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  {% else %}
    <p>You are not assigned to any projects</p>
  {% endif %}
{% endblock %}
